| Face Engine SDK 4.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IChildEstimator Struct Referenceabstract

Child estimator interface. More...

`#include <IChildEstimator.h>`

Inheritance diagram for fsdk::IChildEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const fsdk::Image &childWarp, ChildEstimation &childEstimation) const noexcept=0
| Check whether or not warp corresponds to the adult person. More...
virtual Result< FSDKError > | estimate (const fsdk::Image childWarps[], const uint32_t batchSize, ChildEstimation childEstimations[]) const noexcept=0
| Check whether or not array of warps corresponds to the adult person. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Child estimator interface.

Note
  This estimator is designed to work with a person face warp;

## Member Function Documentation

virtual Result<FSDKError> fsdk::IChildEstimator::estimate | ( | const fsdk::Image & | childWarp,
|  | ChildEstimation & | childEstimation
| ) |  | const
| pure virtual noexcept

Check whether or not warp corresponds to the adult person.

Parameters

  [in] | irWarp | warp face.
  [out] | childEstimation |

Returns
  Error code.

virtual Result<FSDKError> fsdk::IChildEstimator::estimate | ( | const fsdk::Image | childWarps[],
|  | const uint32_t | batchSize,
|  | ChildEstimation | childEstimations[]
| ) |  | const
| pure virtual noexcept

Check whether or not array of warps corresponds to the adult person.

Parameters

  [in] | childWarps | array of face warps.
  [in] | batchSize | length of irWarps array
  [out] | childEstimations | array of estimations

See Also
  ChildEstimation.

Returns
  Error code

See Also
  FSDKError for details.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IChildEstimator.h